################################################################################
#      This file is part of OpenELEC - http://www.openelec.tv
#      Copyright (C) 2009-2014 Stephan Raue (stephan@openelec.tv)
#
#  OpenELEC is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 2 of the License, or
#  (at your option) any later version.
#
#  OpenELEC is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with OpenELEC.  If not, see <http://www.gnu.org/licenses/>.
################################################################################

PKG_NAME="CouchPotato"
PKG_VERSION="stable"
PKG_REV="1"
PKG_ARCH="any"
PKG_LICENSE="OSS"
PKG_SITE="https://couchpota.to/"
PKG_DEPENDS_TARGET="toolchain Python Cheetah pyOpenSSL distutilscross:host git unrar"
PKG_PRIORITY="required"
PKG_SECTION="python/web"
PKG_SHORTDESC="Download movies automatically, easily and in the best quality as soon as they are available"
PKG_LONGDESC="Download movies automatically, easily and in the best quality as soon as they are available"

PKG_IS_ADDON="no"
PKG_AUTORECONF="no"

unpack() {
  mkdir -p $ROOT/$PKG_BUILD
  if [ -d "$ROOT/sources/$PKG_NAME/$PKG_NAME.git" ]; then
    cd $ROOT/sources/$PKG_NAME/$PKG_NAME.git
    git pull
    cd -
  else
    git clone -b master https://github.com/RuudBurger/CouchPotatoServer $ROOT/sources/$PKG_NAME/$PKG_NAME.git
  fi
}

make_target() {
  : # nop
}

makeinstall_target() {
  mkdir -p $INSTALL/usr/lib/$PKG_NAME
  cp $PKG_DIR/source/$PKG_NAME-config         $INSTALL/usr/lib/$PKG_NAME/
  mkdir -p $INSTALL/usr/share/$PKG_NAME
  cp $PKG_DIR/source/config.ini               $INSTALL/usr/share/$PKG_NAME/
  mkdir -p $INSTALL/usr/lib/systemd/system
  cp $PKG_DIR/source/$PKG_NAME.service        $INSTALL/usr/lib/systemd/system/
  cp $PKG_DIR/source/$PKG_NAME.timer          $INSTALL/usr/lib/systemd/system/
  mkdir -p $INSTALL/opt
  git clone $ROOT/sources/$PKG_NAME/$PKG_NAME.git $INSTALL/opt/$PKG_NAME
  cd $INSTALL/opt/$PKG_NAME
  git remote set-url origin https://github.com/RuudBurger/CouchPotatoServer
}

post_install() {
  enable_service $PKG_NAME.timer
}
