################################################################################
#      This file is part of OpenELEC - http://www.openelec.tv
#      Copyright (C) 2009-2014 Stephan Raue (stephan@openelec.tv)
#
#  OpenELEC is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 2 of the License, or
#  (at your option) any later version.
#
#  OpenELEC is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with OpenELEC.  If not, see <http://www.gnu.org/licenses/>.
################################################################################

PKG_NAME="youtube-dl"
PKG_VERSION="stable"
PKG_REV="1"
PKG_ARCH="any"
PKG_LICENSE="OSS"
PKG_SITE="https://rg3.github.io/youtube-dl/"
PKG_DEPENDS_TARGET="toolchain Python distutilscross:host lame ffmpeg"
PKG_PRIORITY="optional"
PKG_SECTION="python/web"
PKG_SHORTDESC="Download videos from YouTube"
PKG_LONGDESC="Download videos from YouTube"

PKG_IS_ADDON="no"
PKG_AUTORECONF="no"

unpack() {
  mkdir -p $ROOT/$PKG_BUILD
}

make_target() {
  : # nop
}

makeinstall_target() {

  mkdir -p $INSTALL/opt
  if [ -d "$ROOT/sources/$PKG_NAME.git" ]; then
    cd $ROOT/sources/$PKG_NAME.git
    git pull
  else
    mkdir -p $ROOT/sources
    git clone -b master git://github.com/rg3/youtube-dl $ROOT/sources/$PKG_NAME.git
  fi
  git clone $ROOT/sources/$PKG_NAME.git $INSTALL/opt/$PKG_NAME
  cd $INSTALL/opt/$PKG_NAME
  git remote set-url origin git://github.com/rg3/youtube-dl

  mkdir -p $INSTALL/usr/bin
  cp $PKG_DIR/source/youtube-dl $INSTALL/usr/bin/
  mkdir -p $INSTALL/usr/lib/$PKG_NAME
  cp $PKG_DIR/source/$PKG_NAME-updater  $INSTALL/usr/lib/$PKG_NAME/
  mkdir -p $INSTALL/usr/lib/systemd/system
  cp $PKG_DIR/source/$PKG_NAME-updater.service $INSTALL/usr/lib/systemd/system/
  cp $PKG_DIR/source/$PKG_NAME-updater.timer   $INSTALL/usr/lib/systemd/system/

}

post_install() {
  enable_service ${PKG_NAME}-updater.timer
}
