################################################################################
#      This file is part of OpenELEC - http://www.openelec.tv
#      Copyright (C) 2009-2012 Stephan Raue (stephan@openelec.tv)
#
#  This Program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  This Program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with OpenELEC.tv; see the file COPYING.  If not, write to
#  the Free Software Foundation, 51 Franklin Street, Suite 500, Boston, MA 02110, USA.
#  http://www.gnu.org/copyleft/gpl.html
################################################################################

PKG_NAME="tmux"
PKG_VERSION="2.0"
PKG_REV="1"
PKG_ARCH="any"
PKG_LICENSE="GPL"
PKG_SITE="https://tmux.github.io/"
PKG_URL="https://github.com/tmux/tmux/releases/download/$PKG_VERSION/$PKG_NAME-$PKG_VERSION.tar.gz"
PKG_DEPENDS_TARGET="toolchain ncurses libevent"
PKG_PRIORITY="required"
PKG_SECTION="shell/console"
PKG_SHORTDESC="tmux is a terminal emultator"
PKG_LONGDESC="It lets you switch easily between several programs in one terminal, detach them (they keep running in the background) and reattach them to a different terminal"

PKG_IS_ADDON="no"
PKG_AUTORECONF="no"

PKG_MAINTAINER="Javier Marcet"

post_makeinstall_target() {
  mkdir -p $INSTALL/etc
  cp $PKG_DIR/source/tmux.conf $INSTALL/etc/
}
