################################################################################
#      This file is part of OpenELEC - http://www.openelec.tv
#      Copyright (C) 2009-2014 Stephan Raue (stephan@openelec.tv)
#
#  OpenELEC is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 2 of the License, or
#  (at your option) any later version.
#
#  OpenELEC is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with OpenELEC.  If not, see <http://www.gnu.org/licenses/>.
################################################################################

PKG_NAME="mhddfs"
PKG_VERSION="700"
PKG_REV="0"
PKG_ARCH="any"
PKG_LICENSE="GPL"
PKG_SITE="http://svn.uvw.ru/mhddfs/trunk/README"
PKG_URL="ftp://ftp.marcet.info/$PKG_NAME-$PKG_VERSION.tar.xz"
PKG_DEPENDS_TARGET="toolchain"
PKG_DEPENDS_INIT="toolchain"
PKG_PRIORITY="required"
PKG_SECTION="tools"
PKG_SHORTDESC="Userspace driver to combine several mount points into a single one"
PKG_LONGDESC="Userspace driver to combine several mount points into a single one"

PKG_IS_ADDON="no"
PKG_AUTORECONF="no"

post_unpack() {
  sed -e "s:CFLAGS\s\+=:CFLAGS = $TARGET_CFLAGS -I${PKG_DIR}/uthash/src:" \
      -e "s:LDFLAGS\s\+=:LDFLAGS = $TARGET_LDFLAGS :" \
      -e "s:gcc :$TARGET_CC :g" \
      -i $ROOT/$PKG_BUILD/Makefile
}

makeinstall_target() {
  mkdir -p $INSTALL/sbin
    cp $ROOT/$PKG_BUILD/mhddfs $INSTALL/sbin/
  mkdir -p $INSTALL/usr/lib/mhddfs
    cp $PKG_DIR/source/mhddfs-base $INSTALL/usr/lib/mhddfs/
  mkdir -p $INSTALL/usr/lib/systemd/system
    cp $PKG_DIR/source/mhddfs-base.service $INSTALL/usr/lib/systemd/system/
}

post_install() {
  enable_service mhddfs-base.service
}
