################################################################################
#      This file is part of OpenELEC - http://www.openelec.tv
#      Copyright (C) 2009-2014 Stephan Raue (stephan@openelec.tv)
#
#  OpenELEC is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 2 of the License, or
#  (at your option) any later version.
#
#  OpenELEC is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with OpenELEC.  If not, see <http://www.gnu.org/licenses/>.
################################################################################

PKG_NAME="git"
PKG_VERSION="2.5.0"
PKG_REV="1"
PKG_ARCH="any"
PKG_LICENSE="GPL"
PKG_SITE="https://git-scm.com://git-scm.com/"
PKG_URL="https://www.kernel.org/pub/software/scm/git/${PKG_NAME}-${PKG_VERSION}.tar.xz"
PKG_DEPENDS_TARGET="toolchain libressl"
PKG_PRIORITY="required"
PKG_SECTION="tools"
PKG_SHORTDESC="Free and open source distributed version control system"
PKG_LONGDESC="Free and open source distributed version control system"

PKG_IS_ADDON="no"
PKG_AUTORECONF="no"

PKG_MAKE_OPTS="
      CC=\"$TARGET_CC\" \
      CFLAGS=\"$TARGET_CFLAGS\" \
      CPPFLAGS=\"$TARGET_CPPFLAGS\" \
      LDFLAGS=\"$TARGET_LDFLAGS\" \
      NO_CURL=YesPlease \
      NO_EXPAT=YesPlease \
      NO_MKSTEMPS=YesPlease \
      NO_GETTEXT=YesPlease \
      NO_UNIX_SOCKETS=YesPlease \
      NO_IPV6=YesPlease \
      NO_ICONV=YesPlease \
      NO_NSEC=YesPlease \
      NO_PERL=YesPlease \
      NO_PYTHON=YesPlease \
      NO_TCLTK=YesPlease"

pre_configure_target() {
  cd $ROOT/$PKG_BUILD
  rm -fr .$TARGET_NAME
}

post_makeinstall_target() {
  rm -fr $INSTALL/usr/lib/git-core/mergetools $INSTALL/usr/lib/perl $INSTALL/usr/share
  rm -f  $INSTALL/usr/bin/git-cvsserver
  rm -f  $INSTALL/{usr/bin/git-cvsserver,usr/lib/git-core/git-instaweb,usr/lib/git-core/git-cvsserver}
}
